processManagement:
    fork: true
    pidFilePath: /data/mongodb/mongod.pid

operationProfiling:
    mode: slowOp
    slowOpThresholdMs: 100

systemLog:
    destination: file
    path: /data/mongodb/mongod.log
    logAppend: false

net:
    port: 27017

sharding:
   clusterRole: shardsvr

replication:
   oplogSizeMB: 102400
   replSetName: testshard3

storage:
    syncPeriodSecs: 60
    directoryPerDB: true
    dbPath: /data/mongodb
    journal:
        enabled: true
        commitIntervalMs: 100

    engine: wiredTiger

    wiredTiger:
        engineConfig:
            cacheSizeGB: 40
            journalCompressor: none
            directoryForIndexes: false
        collectionConfig:
            blockCompressor: snappy
        indexConfig:
            prefixCompression: false